# Interface LightingEnvironment

Represents the lighting environment used in the TwinfinityViewer scene. This lighting environment is used to light up the scene and make it visible. It is applied to all types of objects. Both IFC and BabylonJS objects.

interface LightingEnvironment {
directionalLight: DirectionalLight;
hemisphericLight: HemisphericLight;
}

##### Index

### Properties

directionalLight
hemisphericLight

## Properties

### directionalLight

directionalLight: DirectionalLight

The directional light being used.

### hemisphericLight

hemisphericLight: HemisphericLight

The hemispheric light being used.